const dbUtils = global.dbUtils;

let insertCollectionTemplate = async (tableName, dataList) => {
    if (dataList.length == 0) return;
    return await dbUtils.query(`
        INSERT INTO ${tableName} ( ${Object.keys(dataList[0]).map(field => `\`${field}\``).join(",")} ) VALUES ?
        ON DUPLICATE KEY UPDATE ${Object.keys(dataList[0]).map(field => `${field}=VALUES(${field})`).join(", ")}
    `, [dataList.map(item => Object.values(item))]);
}

module.exports = {

    thread: {
        insertCollection: async (threadList) => {
            return await insertCollectionTemplate("hifini_thread", threadList);
        },

        update: async (threadId, musicIndex, threadInfo) => {
            return await dbUtils.query(`UPDATE hifini_thread SET ? WHERE thread_id = ${threadId} and music_index = ${musicIndex}`, threadInfo);
        },

        getIdsToFetch: async () => {
            let sql = `
                SELECT thread_id FROM hifini_thread WHERE music_title='' and music_pic='' and music_url=''
                ${global.args?.order ? `ORDER BY thread_id ${global.args.order}` : ""}
                ${global.args?.limit ? `LIMIT ${global.args.limit}` : ""}
            `;
            console.log(sql);
            return await dbUtils.query(sql);
        },

        getIdsToFetchRealUrl: async () => {
            let sql = `
                SELECT thread_id,music_index,music_url FROM hifini_thread WHERE music_url like 'get_music.php?key=%' and music_real_url=''
                ${global.args?.order ? `ORDER BY thread_id ${global.args.order}` : ""}
                ${global.args?.limit ? `LIMIT ${global.args.limit}` : ""}
            `;
            console.log(sql);
            return await dbUtils.query(sql);
        }
    },

    tag: {
        insertCollection: async (tagList) => {
            return await insertCollectionTemplate("hifini_tag", tagList);
        },
    },

    thread_tag: {
        insertCollection: async (tagList) => {
            return await insertCollectionTemplate("hifini_thread_tag_relation", tagList);
        },
    },

};
