const fs = require('fs');
const path = require('path');

const absPath = `D:/sql_export`;

// 数字转成字符串，同时在前面填充
function fill(num, fillers, length) {
    var result = `${num}`;
    if (result.length < length)
        result = new Array(length - result.length + 1).join(fillers) + result;
    return result;
}

// 使用 mysql 导入数据表
let outputArr = [
    [
        `@echo off`, `D:`, `cd D:/Program/Development/Environment/phpstudy_pro/Extensions/MySQL8.0.12/bin`,
        `mysql -hlocalhost -uroot -proot neteasemusic`
    ].join('\n'),
    `use neteasemusic;`
];

let firstIndex = 0;
let lastIndex = 15;
let tableName = "song_artist_relation";
let isContainDropTable = false; // 如果 mysqldump的时候导出的文件包含了drop table if exists，那么就先分别导入不同表，然后再将数据合并到一张表中
let fileNameSerialFillZero = true;
for (let i = firstIndex; i <= lastIndex; i++) {
    outputArr.push(`source ${absPath}/${tableName}/${tableName}_${fileNameSerialFillZero ? fill(i, '0', 4) : i}.sql`);

    if (isContainDropTable) {
        outputArr.push(`rename table ${tableName} to ${tableName}_${fill(i, '0', 4)};`);
    }
}
if (isContainDropTable) {
    outputArr.push(`rename table ${tableName}_${fill(firstIndex, '0', 4)} to ${tableName};`);
    for (let i = firstIndex + 1; i <= lastIndex; i++) {
        outputArr.push(`INSERT IGNORE INTO ${tableName} SELECT * FROM ${tableName}_${fill(i, '0', 4)};`);
        outputArr.push(`drop table ${tableName}_${fill(i, '0', 4)};`);
    }
}
outputArr.push("echo done.");
console.log(outputArr.join('\n'));
fs.writeFileSync(path.join(__dirname, `${tableName}_bat.txt`), outputArr.join('\n'));