/**
 * WebSocket Server
 */
const WebSocket = require('ws');

// 创建 WebSocket 服务器
const wss = new WebSocket.Server({ port: 8080 });

// 客户端连接时触发
wss.on('connection', (ws) => {
  console.log('客户端已连接');

  // 每隔 5 秒发送一条消息给客户端
  const interval = setInterval(() => {
    if (ws.readyState === WebSocket.OPEN) {
      ws.send('这是来自服务器的定时消息！');
    }
  }, 1000);

  // 客户端断开连接时触发
  ws.on('close', () => {
    console.log('客户端已断开连接');
    clearInterval(interval);
  });
});
