#
# WebSocket Server
# pip install websockets
#
import asyncio
import websockets

# Define the WebSocket server logic
async def websocket_server_logic(websocket, path):
    print('客户端已连接')

    # Function to send a message every 5 seconds
    async def send_message_every_5_seconds():
        while True:
            await asyncio.sleep(5)
            if websocket.open:
                await websocket.send('这是来自服务器的定时消息！')
            else:
                break

    # Start sending messages every 5 seconds
    send_task = asyncio.create_task(send_message_every_5_seconds())

    # Wait for the client to disconnect
    try:
        await websocket.wait_closed()
    finally:
        send_task.cancel()
        print('客户端已断开连接')

# Start the WebSocket server
start_server = websockets.serve(websocket_server_logic, "localhost", 8080)

# Run the server until it is stopped
asyncio.get_event_loop().run_until_complete(start_server)
asyncio.get_event_loop().run_forever()
